<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mosty.common.config.mapper.SysDictMapper">

    <select id="selectByPage" resultType="com.mosty.common.config.entity.SysDict" parameterType="com.mosty.common.config.entity.vo.DictPage">
        select * FROM sys_dict
        <where>
            <if test="dictName != null and dictName != '' ">
                zdmc like CONCAT('%',#{dictName,jdbcType=VARCHAR},'%')
            </if>
            <if test="dictCode != null and dictCode != '' ">
                zdmc = #{dictCode}
            </if>
        </where>
    </select>

</mapper>
